Bug Hunting Session
Bug 44192 - uncheck - check preview in "Insert Index/Table" dialog does not refresh preview
Summary: uncheck - check preview in "Insert Index/Table" dialog does not refresh preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-27 12:09 UTC by Regina Henschel
Modified: 2013-05-14 13:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (29.86 KB, image/png)
2011-12-27 12:09 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2011-12-27 12:09:38 UTC
Created attachment 54865 [details]
Screenshot

Open die Dialog "Insert Index/Table".
Uncheck "preview". The dialog shrinks.
Check "preview". The dialog expands, but there is no preview.
This error is new in LOdev3.5.

The toolbar leftovers you see are already tracked in bug 37758.

Screenshot attached.
Comment 1 manj_k 2011-12-27 14:06:46 UTC
Reproducible (on WInXP 32b · UI en-US)
with

LibO 3.5.0 Beta2
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978

LibO-3-5~2011-12-25_06.55.40
LOdev 3.5.0beta2+ 
Build ID: 7dfc54c-7ef74e0-6f9c6e1

LibO Master [2011-12-06]
master~2011-12-06_21.37.02
LOdev 3.5.0 
Build ID: 485138f-e92bf75-4c1bcb5


You can play with the tabs (Entries, Styles, etc.) and 'Reset' to get back the preview (even with modified structure and formatting)... ;) but that's completely unacceptable.
Comment 2 A (Andy) 2013-05-01 07:23:15 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 3 Caolán McNamara 2013-05-13 13:05:28 UTC
I think I've accidentally fixed this by the rework of that preview frame, i.e.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5391df4548789acf71a45550742a2d3bbb3b7e4
+
http://cgit.freedesktop.org/libreoffice/core/commit/?id=38504054d87e3fb8b29cd1172965fb5012983a75
(at least I see this failure in e.g. 4-0 and now in my local master today it appears to work fine for me)
Comment 4 manj_k 2013-05-14 13:35:51 UTC
(In reply to comment #3)

Yes, that works fine for me, too: 
LibreOfficeDev
Version: 4.1.0.0.alpha1+
Build ID: e7a41314081de30d3b542b88848808de1a43775
TinderBox: Win-x86@6, Branch:master, Time: 2013-05-14_00:10:28

Verified on WinXP 32b.